<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsLeasingLeasesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_leasing_leases
         */
        Schema::create('litecms_leasing_leases', function ($table) {
            $table->increments('id');
            $table->float('agency_amount')->nullable();
            $table->string('ref', 256)->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('unit_id')->nullable();
            $table->string('reservation_type', 256)->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->enum('leasing_type', ['Yes', 'No'])->nullable();
            $table->enum('period_stay', ['Yes', 'No'])->nullable();
            $table->enum('renewable', ['Yes', 'No'])->nullable();
            $table->float('rent_year')->nullable();
            $table->float('contract_rent')->nullable();
            $table->float('renewal_fee')->nullable();
            $table->float('security_deposite')->nullable();
            $table->float('agency_fee')->nullable();
            $table->float('agency_fee_percent')->nullable();
            $table->string('payment_type', 50)->nullable();
            $table->text('observations')->nullable();
            $table->longText('notes')->nullable();
            $table->longText('documents')->nullable();
            $table->enum('contract_signed', ['Yes', 'No'])->nullable();
            $table->date('contract_date')->nullable();
            $table->string('contract_issued_by', 256)->nullable();
            $table->text('premises')->nullable();
            $table->enum('payment_external_agency', ['Yes', 'No'])->nullable();
            $table->string('ext_agency_name', 256)->nullable();
            $table->integer('commision')->nullable();
            $table->text('details')->nullable();
            $table->enum('print_contract_on', ['Yes', 'No'])->nullable();
            $table->date('vacating_date')->nullable();
            $table->decimal('mngmt_amt', 10,0)->nullable();
            $table->decimal('mngmt_perc', 10,0)->nullable();
            $table->integer('tenant_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_leasing_leases');
    }
}
