<?php

namespace Litecms\Leasing\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class LeaseTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_leasing_leases')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.leasing.lease.view',
                'name'      => 'View Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.create',
                'name'      => 'Create Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.edit',
                'name'      => 'Update Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.delete',
                'name'      => 'Delete Lease',
            ],
            
                        [
                'slug'      => 'litecms.leasing.lease.verify',
                'name'      => 'Verify Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.approve',
                'name'      => 'Approve Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.publish',
                'name'      => 'Publish Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.unpublish',
                'name'      => 'Unpublish Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.cancel',
                'name'      => 'Cancel Lease',
            ],
            [
                'slug'      => 'litecms.leasing.lease.archive',
                'name'      => 'Archive Lease',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/leasing/lease',
                'name'        => 'Lease',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/leasing/lease',
                'name'        => 'Lease',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lease',
                'name'        => 'Lease',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Leasing',
                'module'    => 'Lease',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.leasing.lease.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
