<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for lease in leasing package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  lease module in leasing package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Lease',
    'names' => 'Leases',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Leases',
        'sub' => 'Leases'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Cancelled',
                    'value'  => 'Cancelled',
                    'text'   => 'Cancelled',
                ],
                                
                [
                    'key'    => 'Vacated',
                    'value'  => 'Vacated',
                    'text'   => 'Vacated',
                ],
                                
                [
                    'key'    => 'Occupied',
                    'value'  => 'Occupied',
                    'text'   => 'Occupied',
                ],
                                
            ],

        'leasing_type' => 
            [
                                
                [
                    'key'    => 'New Lease',
                    'value'  => 'New Lease',
                    'text'   => 'New Lease',
                ],
                                
                [
                    'key'    => 'Renewal',
                    'value'  => 'Renewal',
                    'text'   => 'Renewal',
                ],
                                
            ],

        'period_stay' => 
            [
                                
                [
                    'key'    => '1',
                    'value'  => '1',
                    'text'   => '1',
                ],
                                
                [
                    'key'    => '2',
                    'value'  => '2',
                    'text'   => '2',
                ],
                                
                [
                    'key'    => '3',
                    'value'  => '3',
                    'text'   => '3',
                ],
                                
                [
                    'key'    => '4',
                    'value'  => '4',
                    'text'   => '4',
                ],
                                
                [
                    'key'    => '5',
                    'value'  => '5',
                    'text'   => '5',
                ],
                                
                [
                    'key'    => '6',
                    'value'  => '6',
                    'text'   => '6',
                ],
                                
                [
                    'key'    => '7',
                    'value'  => '7',
                    'text'   => '7',
                ],
                                
                [
                    'key'    => '8',
                    'value'  => '8',
                    'text'   => '8',
                ],
                                
                [
                    'key'    => '9',
                    'value'  => '9',
                    'text'   => '9',
                ],
                                
                [
                    'key'    => '10',
                    'value'  => '10',
                    'text'   => '10',
                ],
                                
            ],

        'renewable' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'contract_signed' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'payment_external_agency' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'print_contract_on' => 
            [
                                
                [
                    'key'    => 'Tenant',
                    'value'  => 'Tenant',
                    'text'   => 'Tenant',
                ],
                                
                [
                    'key'    => 'Company',
                    'value'  => 'Company',
                    'text'   => 'Company',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'agency_amount'              => 'Please enter agency amount',
        'ref'                        => 'Please enter ref',
        'user_id'                    => 'Please enter user id',
        'status'                     => 'Please select status',
        'unit_id'                    => 'Please enter unit id',
        'reservation_type'           => 'Please enter reservation type',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'leasing_type'               => 'Please select leasing type',
        'period_stay'                => 'Please select period stay',
        'renewable'                  => 'Please select renewable',
        'rent_year'                  => 'Please enter rent year',
        'contract_rent'              => 'Please enter contract rent',
        'renewal_fee'                => 'Please enter renewal fee',
        'security_deposite'          => 'Please enter security deposite',
        'agency_fee'                 => 'Please enter agency fee',
        'agency_fee_percent'         => 'Please enter agency fee percent',
        'payment_type'               => 'Please enter payment type',
        'observations'               => 'Please enter observations',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'contract_signed'            => 'Please select contract signed',
        'contract_date'              => 'Please select contract date',
        'contract_issued_by'         => 'Please enter contract issued by',
        'premises'                   => 'Please enter premises',
        'payment_external_agency'        => 'Please select payment external agency',
        'ext_agency_name'            => 'Please enter ext agency name',
        'commision'                  => 'Please enter commision',
        'details'                    => 'Please enter details',
        'print_contract_on'          => 'Please select print contract on',
        'vacating_date'              => 'Please select vacating date',
        'mngmt_amt'                  => 'Please enter mngmt amt',
        'mngmt_perc'                 => 'Please enter mngmt perc',
        'tenant_id'                  => 'Please enter tenant id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'agency_amount'              => 'Agency amount',
        'ref'                        => 'Ref',
        'user_id'                    => 'User id',
        'status'                     => 'Status',
        'unit_id'                    => 'Unit id',
        'reservation_type'           => 'Reservation type',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'leasing_type'               => 'Leasing type',
        'period_stay'                => 'Period stay',
        'renewable'                  => 'Renewable',
        'rent_year'                  => 'Rent year',
        'contract_rent'              => 'Contract rent',
        'renewal_fee'                => 'Renewal fee',
        'security_deposite'          => 'Security deposite',
        'agency_fee'                 => 'Agency fee',
        'agency_fee_percent'         => 'Agency fee percent',
        'payment_type'               => 'Payment type',
        'observations'               => 'Observations',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'contract_signed'            => 'Contract signed',
        'contract_date'              => 'Contract date',
        'contract_issued_by'         => 'Contract issued by',
        'premises'                   => 'Premises',
        'payment_external_agency'        => 'Payment external agency',
        'ext_agency_name'            => 'Ext agency name',
        'commision'                  => 'Commision',
        'details'                    => 'Details',
        'print_contract_on'          => 'Print contract on',
        'vacating_date'              => 'Vacating date',
        'mngmt_amt'                  => 'Mngmt amt',
        'mngmt_perc'                 => 'Mngmt perc',
        'tenant_id'                  => 'Tenant id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
