<?php

namespace Litecms\Leasing\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Leasing\Models\Lease;


class LeaseAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.leasing.lease';
    protected $eventClass = \Litecms\Leasing\Events\LeaseAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Lease $lease, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $lease;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Lease $lease, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $lease = $lease->create($attributes);
        return $lease;
    }

    public function update(Lease $lease, array $request)
    {
        $attributes = $request;
        $lease->update($attributes);
        return $lease;
    }

    public function destroy(Lease $lease, array $request)
    {
        $lease->delete();
        return $lease;
    }

    public function copy(Lease $lease, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $lease = $lease->replicate();
            $lease->created_at = Carbon::now();
            $lease->save();
            return $lease;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $lease->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $lease;
    }


}
