<?php

namespace Litecms\Leasing\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Litecms\Leasing\Actions\LeaseReport;
use Litecms\Leasing\Http\Requests\LeaseReportRequest;

/**
 * Admin web controller class.
 */
class LeaseReportController extends BaseController
{
    /**
     * Action controller function for lease.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(LeaseReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Lease::class);
            $data = LeaseReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('leasing::lease.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('leasing/lease/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('leasing/lease/' . $report))
                ->redirect();
        }
    }
}
