<?php


namespace Litecms\Leasing\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait LeaseReport
{

    /**
     * Determine if the given user can approve the given lease.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('leasing.lease.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lease.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('leasing.lease.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lease.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('leasing.lease.report.download')) {
            return true;
        }

        return false;
    }
}
