<?php

namespace Litecms\Leasing\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Leasing\Events\LeasingAction;
use Litecms\Leasing\Events\LeasingWorkflow;
use Litecms\Leasing\Listeners\LeasingAction as LeasingActionListener;
use Litecms\Leasing\Listeners\LeasingWorkflow as LeasingWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        LeasingAction::class => [
            LeasingActionListener::class,
        ],
        LeasingWorkflow::class => [
            LeasingWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
